
Redmine - Defect #9488

undefined method deprecate

2011-10-28 15:26 - Roman Hurtik

Status: Closed Start date: 2011-10-28

Priority: Normal Due date:  

Assignee:  % Done: 0%

Category:  Estimated time: 0.00 hour

Target version:    

Resolution: Invalid Affected version: 1.2.1

Description

I'm trying to install redmine on Debian 6.0.3 squeeze.

I followed the installation as described in http://library.linode.com/web-applications/project-management/redmine/debian-6-squeeze .

When I run “rake config/initializers/session_store.rb” all breaks with :

“rake aborted!

undefined method `deprecate' for #<Rake::Application:0x7fdc6a8a1bc0>”.

Full error output :

rake config/initializers/session_store.rb --trace

(in /home/ronline/sd/support/www)

/var/lib/gems/1.8/gems/rake-0.9.2.2/lib/rake/file_utils.rb:9: warning: already initialized constant RUBY

/var/lib/gems/1.8/gems/rake-0.9.2.2/lib/rake/file_utils.rb:86: warning: already initialized constant LN_SUPPORTED

rake aborted!

undefined method `deprecate' for #<Rake::Application:0x7f154d099b60>

/var/lib/gems/1.8/gems/rake-0.9.2.2/lib/rake/rdoctask.rb:4

/usr/lib/ruby/1.8/rubygems/custom_require.rb:31:in `gem_original_require'

/usr/lib/ruby/1.8/rubygems/custom_require.rb:31:in `require'

/home/ronline/sd/support/www/Rakefile:8

/usr/lib/ruby/1.8/rake.rb:2381:in `load'

/usr/lib/ruby/1.8/rake.rb:2381:in `raw_load_rakefile'

/usr/lib/ruby/1.8/rake.rb:2015:in `load_rakefile'

/usr/lib/ruby/1.8/rake.rb:2066:in `standard_exception_handling'

/usr/lib/ruby/1.8/rake.rb:2014:in `load_rakefile'

/usr/lib/ruby/1.8/rake.rb:1998:in `run'

/usr/lib/ruby/1.8/rake.rb:2066:in `standard_exception_handling'

/usr/lib/ruby/1.8/rake.rb:1996:in `run'

/usr/bin/rake:28

Any hints are welcome.

History
http://library.linode.com/web-applications/project-management/redmine/debian-6-squeeze


#1 - 2011-10-28 15:34 - Etienne Massip

Please give details according to SubmittingBugs.

But, already, I can say that your Rake version does not match requirements (see RedmineInstall).

#2 - 2011-10-28 15:59 - Roman Hurtik

Txh for the replay Etienne.

Here are some more details.

mysql  Ver 14.14 Distrib 5.1.49

ruby 1.8.7

rake 0.8.7-2

gem 1.3.7

rails console => bash: rails: command not found

RAILS_ENV=production ruby script/about

/var/lib/gems/1.8/gems/actionpack-2.3.11/lib/action_controller/session/cookie_store.rb:178:in `ensure_session_key': A key is required to write a

cookie containing the session data. Use config.action_controller.session = { :key => "_myapp_session", :secret => "some secret phrase" } in

config/environment.rb (ArgumentError)

from /var/lib/gems/1.8/gems/actionpack-2.3.11/lib/action_controller/session/cookie_store.rb:81:in `initialize'

from /var/lib/gems/1.8/gems/actionpack-2.3.11/lib/action_controller/middleware_stack.rb:72:in `new'

from /var/lib/gems/1.8/gems/actionpack-2.3.11/lib/action_controller/middleware_stack.rb:72:in `build'

from /var/lib/gems/1.8/gems/actionpack-2.3.11/lib/action_controller/middleware_stack.rb:116:in `build'

from /var/lib/gems/1.8/gems/activesupport-2.3.11/lib/active_support/inflector.rb:364:in `inject'

from /var/lib/gems/1.8/gems/actionpack-2.3.11/lib/action_controller/middleware_stack.rb:116:in `each'

from /var/lib/gems/1.8/gems/actionpack-2.3.11/lib/action_controller/middleware_stack.rb:116:in `inject'

from /var/lib/gems/1.8/gems/actionpack-2.3.11/lib/action_controller/middleware_stack.rb:116:in `build'

from /var/lib/gems/1.8/gems/actionpack-2.3.11/lib/action_controller/dispatcher.rb:130:in `build_middleware_stack'

from /var/lib/gems/1.8/gems/actionpack-2.3.11/lib/action_controller/dispatcher.rb:81:in `initialize'

from /var/lib/gems/1.8/gems/actionpack-2.3.11/lib/action_controller/dispatcher.rb:51:in `new'

from /var/lib/gems/1.8/gems/actionpack-2.3.11/lib/action_controller/dispatcher.rb:51:in `run_prepare_callbacks'

from /var/lib/gems/1.8/gems/rails-2.3.11/lib/initializer.rb:631:in `prepare_dispatcher'

from /var/lib/gems/1.8/gems/rails-2.3.11/lib/initializer.rb:185:in `process'

from /var/lib/gems/1.8/gems/rails-2.3.11/lib/initializer.rb:113:in `send'

from /var/lib/gems/1.8/gems/rails-2.3.11/lib/initializer.rb:113:in `run'

from /home/ronline/sd/support/www/config/environment.rb:20

from /usr/lib/ruby/1.8/rubygems/custom_require.rb:31:in `gem_original_require'

from /usr/lib/ruby/1.8/rubygems/custom_require.rb:31:in `require'

from /var/lib/gems/1.8/gems/rails-2.3.11/lib/commands/about.rb:1

from /usr/lib/ruby/1.8/rubygems/custom_require.rb:31:in `gem_original_require'

from /usr/lib/ruby/1.8/rubygems/custom_require.rb:31:in `require'

from script/about:4

#3 - 2011-10-28 16:08 - Etienne Massip

Try rake generate_session_store as explained in RedmineInstall.

Or rake _0.8.7_ generate_session_store to force use of a compatible Rake version.

#4 - 2011-10-28 16:13 - Roman Hurtik

rake generate_session_store

/var/lib/gems/1.8/gems/rake-0.9.2.2/lib/rake/file_utils.rb:9: warning: already initialized constant RUBY

/var/lib/gems/1.8/gems/rake-0.9.2.2/lib/rake/file_utils.rb:86: warning: already initialized constant LN_SUPPORTED

rake aborted!

undefined method `deprecate' for #<Rake::Application:0x7f235c686b28>

/home/ronline/sd/support/www/Rakefile:8

(See full trace by running task with --trace)

rake 0.8.7 generate_session_store

/var/lib/gems/1.8/gems/rake-0.9.2.2/lib/rake/file_utils.rb:9: warning: already initialized constant RUBY

/var/lib/gems/1.8/gems/rake-0.9.2.2/lib/rake/file_utils.rb:86: warning: already initialized constant LN_SUPPORTED

rake aborted!

undefined method `deprecate' for #<Rake::Application:0x7f9c8cc31ad8>

/home/ronline/sd/support/www/Rakefile:8

#5 - 2011-10-28 16:26 - Etienne Massip

Roman Hurtik wrote:

rake 0.8.7 generate_session_store

/var/lib/gems/1.8/gems/rake-0.9.2.2/lib/rake/file_utils.rb:9: warning: already initialized constant RUBY
 Ok, you see that this is not the right Rake version which is ran, right?

Try with rake _0.8.7-2_ generate_session_store or rake _0.8.7.2_ generate_session_store, maybe?

#6 - 2011-10-29 18:57 - Script Head

Try with rake _0.8.7-2_ generate_session_store or rake _0.8.7.2_ generate_session_store, maybe?

 I am seeing the same problem, tried both of the above with no luck:

root@Redmine:/opt/redmine-1.2# rake 0.8.7-2 generate_session_store

(in /opt/redmine-1.2)

/var/lib/gems/1.8/gems/rake-0.9.2.2/lib/rake/file_utils.rb:9: warning: already initialized constant RUBY

/var/lib/gems/1.8/gems/rake-0.9.2.2/lib/rake/file_utils.rb:86: warning: already initialized constant LN_SUPPOR

TED

rake aborted!

undefined method `deprecate' for #<Rake::Application:0x7f8b866d8b48>

/opt/redmine-1.2/Rakefile:8

(See full trace by running task with --trace)

 
root@Redmine:/opt/redmine-1.2# rake 0.8.7.2 generate_session_store

(in /opt/redmine-1.2)

/var/lib/gems/1.8/gems/rake-0.9.2.2/lib/rake/file_utils.rb:9: warning: already initialized constant RUBY

/var/lib/gems/1.8/gems/rake-0.9.2.2/lib/rake/file_utils.rb:86: warning: already initialized constant LN_SUPPOR

TED

rake aborted!

undefined method `deprecate' for #<Rake::Application:0x7fd850485c80>

/opt/redmine-1.2/Rakefile:8

(See full trace by running task with --trace)

#7 - 2011-10-30 23:15 - Mischa The Evil

Script Head wrote:

Etienne Massip wrote:

Try with rake _0.8.7-2_ generate_session_store or rake _0.8.7.2_ generate_session_store, maybe?

 I am seeing the same problem, tried both of the above with no luck:

root@Redmine:/opt/redmine-1.2# rake 0.8.7-2 generate_session_store

...

...

 
root@Redmine:/opt/redmine-1.2# rake 0.8.7.2 generate_session_store

...

...

 

As you can see you don't use the syntax as given by Etienne. You must include the underscores in the commands.

#8 - 2011-11-01 00:14 - Roman Hurtik

I've tried the syntax given by Etiene => rake 0.8.7-2 generate_session_store.

It generate the same error as in note 5 and 7.

One thing looks weird, in my and even “Mischa The Evil” error log we have line /var/lib/gems/1.8/gems/rake-0.9.2.2.

What's the rake-0.9.2.2 doing here? My "dpkg -l | grep rake"

shwos 0.8.7-2...

I have also tried rake 0.9.2.2 generate_session_store => No luck.

#9 - 2011-11-01 01:36 - Roman Hurtik

I've removed the rake-0.9.2.2 version that was installed from Rubygems => gem uninstall rake.

I've installed the rails through the debian package manager “apt-get install rails”.

When I run “rake generate_session_store“ I get “Missing the Rails 2.3.11 gem. Please `gem install -v=2.3.11 rails`”. I can't install the  v=2.3.11

version coz it will reinstall rake-0.9.2.2. Apparently the solution seems to be to execute commande “gem install -v=xxxxx rails”, where xxxx will be the

rails version with rake 0.8.7-2.

#10 - 2011-11-05 14:20 - Etienne Massip
- Status changed from New to Closed

- Resolution set to Invalid

gem install rake -v=0.8.7

gem install rails -v=2.3.11 (or 2.3.14)

rake _0.8.7_ generate_session_store
